Get transcript of a call
curl --request GET \
--url https://api.eu.volubile.ai/v1/calls/{id}/transcript \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eu.volubile.ai/v1/calls/{id}/transcript"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eu.volubile.ai/v1/calls/{id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"time": "2024-07-30T14:35:00Z",
"message": "Hello, how can I help you?"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"errors": [
{
"field": "<string>",
"rejectedValue": {},
"message": "<string>"
}
]
}Calls
Get transcript of a call
GET
/
v1
/
calls
/
{id}
/
transcript
Get transcript of a call
Authorizations
Api keyBearer token
Your API key.
Path Parameters
Response
OK
Action type of the transcript
Available options:
RING, ANSWER, HUMAN_SPEAK, AGENT_SPEAK, ANSWERING_MACHINE_BEEP, HANG_UP, TRANSFER_CALL Timestamp of the transcript action.
Format: UTC time - yyyy-MM-dd'T'HH:mm:ss'Z'
Example:
"2024-07-30T14:35:00Z"
Actor of the transcript
Available options:
UNKNOWN, HUMAN, AGENT, ANSWERING_MACHINE Message content of the transcript
Example:
"Hello, how can I help you?"
⌘I